/*
  Všechna pravidla jsou scoped pod body.StaffordConfig
  Tato třída se přidává JavaScriptem pouze pokud URL obsahuje /search-configurator
*/

/*=================== Button Style =================*/
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig #plp-configurator .ui-button {
	background-color: #b22245 !important;
	color: rgb(255 255 255) !important;
	border: 0px;
	border-radius: 5px !important;
	margin-left: 5px;
	font-weight: 500 !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig #plp-configurator .ui-button:hover {
	background: #3a474e !important;
	color: #fff !important;
}
/*=================== General Table Cell Style =================*/
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig table td {
	background: #ffffff !important;
	border-radius: 0px;
	border: 0px !important;
}
/*=================== Value Style =================*/
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .plp-configure-right-panel {
	color: rgb(16 17 17) !important;
	font-weight: 600;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .plp-configure-left-panel {
	color: rgb(16 17 17) !important;
	width: auto !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .plp-configure-left-panel strong {
	float: none;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .plp-configure-sidebar .plp-configure-group-body>table {
	border-spacing: 0px;
}
/*=================== Dropdown Style =================*/
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig #plp-configurator .configurator-attributecontrol[data-display="DropdownBox"] select {
	padding: 6px 6px;
	color: rgb(16 17 17) !important;
	font-weight: bold;
	background-color: #ffffff;
	font-size: 14px;
	border: 1px solid #b22245;
	border-radius: 6px;
	min-width: 210px;
}
/*=================== EditBox Style =================*/
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .configurator-attributecontrol[data-display="EditBox"] input {
	color: rgb(16 17 17);
	border: 1px solid rgb(217, 217, 217);
	border-top-color: rgb(192, 192, 192);
	font-weight: bold;
	background-color: #ffffff;
	text-align: right;
	padding: 3px 5px 3px 0px;
}
/*=================== Specific Table Elements Style =================*/
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .BtnStyle {
	background-color: #C37621 !important;
	color: #FFF !important;
	border-radius: 15px;
	text-align: center;
	cursor: pointer;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .center-big {
	text-align: center;
	font-size: 1.25em;
	padding: 2px;
	width: 350px !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .right {
	text-align: right;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .borderthin-above {
	border-top: 1px solid #b22245 !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .borderthin-below {
	border-bottom: 1px solid #b22245 !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .borderthin-right {
	border-right: 1px solid #b22245 !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .border {
	border: 5px solid #b22245 !important;
}
/*=================== Corner Styles =================*/
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .top-left {
	border-top: 5px solid #b22245 !important;
	border-left: 5px solid #b22245 !important;
	border-top-left-radius: 15px;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .top-left.tl-0 {
	border-top-left-radius: 0px;
	border-left-width: 1px !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .top-right {
	border-top: 5px solid #b22245 !important;
	border-right: 5px solid #b22245 !important;
	border-top-right-radius: 15px;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .top-right.tr-0 {
	border-top-right-radius: 0px;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .bottom-left {
	border-bottom: 5px solid #b22245 !important;
	border-left: 5px solid #b22245 !important;
	border-bottom-left-radius: 15px;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .bottom-left.bl-0 {
	border-bottom-left-radius: 0px;
	border-left-width: 1px !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .bottom-right {
	border-bottom: 5px solid #b22245 !important;
	border-right: 5px solid #b22245 !important;
	border-bottom-right-radius: 15px;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .bottom-right.br-0 {
	border-bottom-right-radius: 0px;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .border-bottom {
	border-bottom: 5px solid #b22245 !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .border-left {
	border-left: 5px solid #b22245 !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .border-right {
	border-right: 5px solid #b22245 !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .image-width {
	width: 60% !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig span#scope-plp-result,
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig span#scope-plp-cancel {
	display: none;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig input[type="radio"][value="Metric"],
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig input[type="radio"][value="Inches"] {
	margin-right: 3px;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig #plp-description-with-image {
	display: flex;
	align-items: flex-start;
}
body.StaffordConfig[data-pagetype="Configurator"] .CustomConfig .plp-descBtn-with-image-left {
	display: none !important;
}
body.StaffordConfig[data-pagetype="Configurator"] .plp-page-spacer12 {
	display: none !important;
}
body.StaffordConfig #plp-configurator a {
	color: rgb(16 17 17);
}
body.StaffordConfig #plp-configurator a:hover {
	color: #b22245;
}
body.StaffordConfig #plp-configurator.ui-widget-content {
	border: 1px solid #aaaaaa;
	background: none;
	color: #222222;
}
body.StaffordConfig #plp-configurator.ui-accordion-content {
	padding: 1em 5em !important;
}
@media (max-width: 1280px) {
	body.StaffordConfig #plp-configurator.ui-accordion-content {
		padding: 1em 2.5em !important;
	}
}
@media (max-width: 992px) {
	body.StaffordConfig #plp-configurator.ui-accordion-content {
		padding: 1em 1em !important;
	}
}
body.StaffordConfig tbody td .ui-iconbutton {
	float: none !important;
}
body.StaffordConfig .URLs a {
	display: inline-flex;
	align-items: center;
	gap: 8px;
	text-decoration: none;
}
body.StaffordConfig .URLs img {
	max-height: 70px;
	max-width: 100px;
	object-fit: contain;
}
body.StaffordConfig .URLs .configurator-attributecontrol {
	max-height: 680px !important;
	overflow-y: auto !important;
}
@media (max-width: 1280px) {
	body.StaffordConfig[data-pagetype="Configurator"] .configurator-attributecontrol[data-display="ImageRadioButtons"] .zoomPad > img {
		max-width: 150px;
	}
	body.StaffordConfig[data-pagetype="Configurator"] .configurator-attributecontrol[data-display="ImageRadioButtons"] > table > tbody > tr {
		display: grid;
		grid-template-columns: repeat(2, 1fr);
		gap: 15px;
	}
}
body.StaffordConfig #plp-configure h3.ui-accordion-header.ui-helper-reset.ui-accordion-header-active.ui-corner-top.ui-state-active {
	background: #3a474e !important;
}
body.StaffordConfig #plp-configure h3.ui-accordion-header.ui-helper-reset.ui-corner-top.ui-state-default.ui-corner-bottom {
	background: #b22245 !important;
}
body.StaffordConfig #plp-configure b.text {
	color: #fff;
}
body.StaffordConfig #plp-configure .ui-icon {
	background-image: url("images/ui-icons_444444_256x240.png") !important;
}
body.StaffordConfig .plp-configure-group-body table tr td .configurator-attributecontrol a {
	text-decoration: none !important;
}
body.StaffordConfig #plp-configurator table {
	border-collapse: unset;
}